Search Gradle plugins

Version 1.7.1 (latest)

Created 16 May 2019.

Compact, constraint-friendly lockfiles for your dependencies

Using the plugins DSL:

plugins {
  id "com.palantir.consistent-versions" version "1.7.1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "com.palantir.gradle.consistentversions:gradle-consistent-versions:1.7.1"
  }
}

apply plugin: "com.palantir.consistent-versions"

Using the plugins DSL:

plugins {
  id("com.palantir.consistent-versions") version "1.7.1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("com.palantir.gradle.consistentversions:gradle-consistent-versions:1.7.1")
  }
}

apply(plugin = "com.palantir.consistent-versions")

Learn how to apply plugins to subprojects